// file: ifsafi.h
// needs: kernel.*, ifsafi.c
// Intermediate layer in interfacing NT to IFSAF kernel.
// Author: Giovambattista Pulcini
// Written: 1995.10.1
// Revised:
//      1.0.0 - Oct 1995 

#include "kernel.h"
#include <stdio.h>

extern Kernel Kernel;
extern char szStartingFileName[1024];
extern char szStatusString[1024];

void CMColorREncode(char * sourcefn, char * targetfn);
void CMColorRDecode(char * startingfne, char * targetfne);
BOOL IFSAFKernelInterface(int Action, char * szInputFileName, char * szOutputFileName);


