#ifndef __PACKING_H__
#define __PACKING_H__

#ifndef DWORD
typedef unsigned long int DWORD;
#endif

#include <stdio.h>

extern int Pack(const int size, DWORD value, FILE* foutf);
extern DWORD Unpack(const int size, FILE * fin);
inline int Pack(double x, FILE* foutf)
  {  DWORD* temp;
     temp = (DWORD*)&x;
     Pack(32,temp[0],foutf);
     return Pack(32,temp[1],foutf);
  };
inline int Pack(float x, FILE* foutf)
  {  DWORD* temp;
     temp = (DWORD*) &x;
     return Pack(32,*temp,foutf);
  };
inline double Unpackdouble(FILE * fin)
  {  DWORD temp[2];
     temp[0]=Unpack(32, fin);
     temp[1]=Unpack(32, fin);
     double * x;
     x = (double*)temp;
     return *x;
  };
inline float Unpackfloat(FILE * fin)
  {  DWORD temp;
     temp=Unpack(32, fin);
     float * x;
     x = (float*)&temp;
     return *x;
  };

#endif
