#include "timecur.h"
#include <stdio.h>

const int nCursors = 86;
HCURSOR hcCursor[nCursors];

void SetupCursors(HINSTANCE hinst)
// you must link in the resource cursors.res
{
  char szCurName[20];
  for(int i=1; i<=nCursors; i++)  
  {
    sprintf(szCurName, "CURSOR_%d", i);
    hcCursor[i-1] = LoadCursor(hinst, szCurName);
  }
}

void ReleaseCursors()
{
  for(int i=0; i<nCursors; i++) DestroyCursor(hcCursor[i]);
}

void SetClockCursor(int i)
{ 
  i = (nCursors*i)/100;
  if (i<1) i=1;
  if (i>=nCursors) i=nCursors-1;
  SetCursor(hcCursor[i]);
}

